<?php

namespace Modules\VetAdmission\Entities;

use Illuminate\Database\Eloquent\Model;

class VaAdmissionVital extends Model
{
    protected $table = 'va_admission_vitals';
    protected $guarded = ['id'];

    protected $casts = [
        'recorded_at' => 'datetime',
    ];

    public function admission()
    {
        return $this->belongsTo(VaAdmission::class, 'admission_id');
    }

    public function recordedBy()
    {
        return $this->belongsTo(\App\User::class, 'recorded_by');
    }
}
